Instalación de KDEmod SC 4.4 en Arch Linux (Actualizado)

Los usuarios de Arch Linux tenemos la suerte de contar con KDEmod, un repositorio con el entorno de escritorio KDE SC compilado y optimizado para usar con esta distribución. Ahora que ya ha salido KDE SC 4.4 ya podemos instalar esta versión de KDEmod en nuestro sistema Arch. Eso sí, de momento está en el repositorio [testing] aunque supongo que en breve lo pasarán al [core]. De todas formas ya es la versión oficial y si se encuentra en este repositorio es por si hay algún fallo en la compilación del software. Ya se encuentra en el repositorio estable. Vaya rápidos que han sido esta vez! 🙂

Para instalar KDEmod en Arch Linux tenemos que agregar el repositorio del proyecto Chakra. Paro ello abrimos una terminal y editamos el archivo de configuración de pacman:

sudo nano /etc/pacman.conf

Los repositorios los hay tanto para la arquitectura i686 como para la x68_64. Escoge la que tengas instalada en tu sistema. En el caso de la arquitectura de 32 bits añadimos estas líneas al final del archivo:

[kdemod-core]
Server = http://chakra-project.org/repo/core/i686/

Si por el contrario tenéis instalado Arch de 64 bits añade estas líneas:

[kdemod-core]
Server = http://chakra-project.org/repo/core/x86_64/

Ahora ejectuamos el siguiente comando para descargar la lista de paquetes del nuevo servidor:

sudo pacman -Syy

Ahora podemos encontrarnos en tres situaciones. En cada una de las situaciones tendremos que seguir unos pasos distintos.

  1. Tener una instalación limpia de Arch Linux
  2. Tener instalado KDE del repositorio [extra]
  3. Tener instalada una versión anterior de KDEmod.

Si acabamos de instalar Arch tendremos que instalar el servidor gráfico (Xorg) y demás paquetes antes de instalar un entorno gráfico. Podéis hacer todo esto leyendo la Guía de Post-Instalación de Arch Linux. Una vez tenemos el sistema listo sólo tenemos que instalar el KDEmod con los siguientes comandos.

Si queremos realizar una instalación normal de KDEmod, la cual incluye los paquetes más usados:

sudo pacman -S kdemod

Si por el contrario queremos realizar una instalación mínima de KDEmod.

sudo pacman -S kdemod-minimal

Y para los que no tienen problema de disco duro (como yo :D) podemos realizar la instalación de KDEmod al completo, todos los paquetes del repositorio.

sudo pacman -S kdemod-complete

Si tenemos instalado KDE desde el repositorio [extra] de Arch tendremos que desinstalarlo antes de instalar KDEmod. Para ello abrimos una terminal y escribimos:

sudo pacman -Rd kde

Ahora instalamos los paquetes de KDEmod (igual que antes, podemos escoger entre kdemod, kdemod-minimal y kde-complete)

sudo pacman -S kdemod / kdemod-minimal /kdemod-complete

Si tienes instalada una versión anterior de KDEmod, como por ejemplo, KDE 4.3.4 con el repositorio [core], tienes que borrar o comentar este repositorio antes de actualizar. Recuerda que los repositorios [core] y [testing] de KDEmod son incompatibles, sólo tienes que actualizar el sistema con el comando de siempre:

sudo pacman -Syu

De todas formas, si ya tienes instalado KDEmod lo mejor es que esperes a que trasladen esta versión al repositorio estable, que será en cuestión de días, y así te ahorras todo este trabajo extra. Pues eso, que ya está en el repositorio estable y que ahora actualizar a esta versión es todavía más sencillo 😀

Por último comentar que KDEmod funciona mucho mejor KDE, así que no dudes en probarlo si te gusta este entorno de escritorio.

Anuncios

21 Responses to “Instalación de KDEmod SC 4.4 en Arch Linux (Actualizado)”


  1. 1 richerVE febrero 10, 2010 en 11:20 pm

    Acaba de salir la version estable de kdemod SC 4.4, así que no sería necesario usar los repositorios testing del proyecto chakra

    • 2 iyanmv febrero 10, 2010 en 11:24 pm

      uff… q mala suerte q tengo!! xDDD Recién escrita la entrada y ya está desfasada…
      Bueno, mañana la actualizo

      Un saludo!

  2. 3 Thalskarth febrero 11, 2010 en 12:07 pm

    Yo tuve problemas al actualizar, ya que se colgaba todo KDemod y me dejaba sin plasma (hablo de la versión desde stable).
    Tuve que borrar la carpeta .kdemod para que se solucionara.

  3. 4 Miguel-Palacio febrero 11, 2010 en 2:06 pm

    Me disculpan la ignorancia. Antes cuando comencé con Arch había escuchado de este KDEmod, que es una versión “especial” para Arch. Pero leyendo la wiki de Arch (si es que no leí mal), decían que ya no era necesario porque Arch estaba dividido en módulos… (se que no es una razón válida, porque no tiene sentido, pero es lo que recuerdo haber leído xD).

    Entonces cual es la diferencia de este KDEmod e instalar KDE por módulos??? (mod del KDEmod es de módulo?, jeje)

    • 5 Thalskarth febrero 11, 2010 en 2:46 pm

      Explicado de forma sencilla, aparte de ser modular (está un poco más divido que el oficial), el KDEmod tiene aplicados varios parches y optimizaciones que el oficial no tiene.

  4. 6 Manuel febrero 11, 2010 en 3:24 pm

    A mi también me dio problemas al actualizar (kdemod) y ni borrando la carpeta ‘.kdemod4’ se solucionaba.

    A la hora aproximadamente, di con la solución: knetworkmanager era el causante del problema (y que se instala junto al grupo kdemod). Lo deshabilité para que no se iniciase con el sistema y voilá!.

    @Miguel-Palacio, a parte de lo que ha comentado Thalskarth, a nivel perceptivo, se nota muchísimo más fluido y rápido.
    Además de que trae muchos más extras (wallpapers, iconos chulísimos).

    ¡100% recomendado!

  5. 7 Bastiher febrero 11, 2010 en 8:44 pm

    En primer lugar darte la enhorabuena por la pagina, ya que me inicie con arch hace poco y me sirvio de mucho tu web!!
    Yo tengo kde 4.3.4 y al intentar actualizar el sistema me sacaba esto:

    [root@bastiher postgres]# pacman -Syu
    :: Sincronizando las bases de datos de paquetes…
    core está actualizado
    extra está actualizado
    community está actualizado
    archlinuxfr está actualizado
    :: iniciando actualización completa del sistema…
    :: ¿Reemplazar kdelibs-experimental con extra/kdelibs? [S/n]
    :: ¿Reemplazar pil con extra/python-imaging? [S/n]
    resolviendo dependencias…
    verificando conflictos…
    error: falló al preparar la transacción (no se pudieron satisfacer las dependencias)
    :: kdelibs: necesita phonon

    Desesperado he optado por instalar kdemod 4.4 realizando los pasos que indicabas:

    pacman -Rd kde
    pacman -S kdemod-complete para instalar kdemod

    me pidio desinstalar qt por qtmod,kde-libs por kdemod-kdelibs etc.. ahora mismo lo estoy descargando ya os comentare si me funciono o no… tambien estaba teniendo problemas con dolphin ya que alguna vez que otra se me cerraba, nose a que podria ser debido…
    Por cierto que ventajas tiene kde 4.3.4 de kdemod 4.4 asi a simple vista? Gracias!!

  6. 8 Miguel-Palacio febrero 13, 2010 en 3:46 am

    Nueva pregunta:

    Que trae en sí kdemod-minimal, es algo parecido al grupo de paquetes kdebase?

  7. 9 Manuel febrero 13, 2010 en 7:24 pm

    Pon en la consola:
    $ sudo pacman -S kdemod-minimal

    Y te saldrán los paquetes que instalan. Pero en pocas palabras, sí, te instala lo básico para funcionar.

  8. 10 Facundo febrero 16, 2010 en 10:08 pm

    Hola, gracias por el tutorial, me paso que acabo de instalarlo pero al daele startkde me dice algo como:
    $DISPLAY is not set or cant comunicate to X server
    alguno sabe que puedo haceR?

    • 11 iyanmv febrero 17, 2010 en 9:07 pm

      Añadiste al apartado de daemons del /etc/rc.con los demonios: hal y fam??

      • 12 Facundo febrero 17, 2010 en 10:34 pm

        Para solucionarlo lo que me dijeron quye haga es que agregue la linea:
        exec startkde
        Al archivo .xinitrc que esta en mi carpeta de usuario, despues agregue hal por que no lo habia metido y no me andaba el mouse ni el teclado, gracias 😀

  9. 13 tabris febrero 21, 2010 en 6:45 am

    oye tengo un problema instale kdemod y mi laptop incia perfectamente luego carga el escritorio pero aparecen los iconos desordenados y de pronto la pantalla de vuelve negra pero no se cuelga porque usando krunner puedo lanzar los programas sabes cual es el error?

    • 14 iyanmv febrero 21, 2010 en 11:18 am

      A mi no me pasó pero por los comentarios que estáis poniendo le está pasando a mucha gente. A algunos se les solucionó borrando la carpeta de configuración (.kdemod)

  10. 15 Facundo febrero 21, 2010 en 2:26 pm

    Intenta intenta comentando todo lo que diga Network manager en este archivo-> /home/usuario/.kdemod4/share/config/plasma-desktop-appletsrc
    Reemplaza usurio por el tuyo mas vale, si haces los que dice iyanmv puede que funcione, pero vas a perder todas las configuracion de los programas, saludos 😉

  11. 16 Edwin marzo 28, 2010 en 12:49 am

    Hola a todos tengo una pregunta que paquete tengo que instalar para pasarlo a español?
    gracias..

    • 17 Facundo marzo 28, 2010 en 7:23 pm

      Fijate en la wiki de Arch en español que te dice como, creo que el paquete era algo de es-10l ya ni me acuerdo, volvi a gnome, y con respecto a la pantalla negra lee arriba que dice como 😉 salduos

  12. 18 Edwin marzo 28, 2010 en 4:03 am

    Hola a todos es que tengo un problema instale kdemod en arch linux desde el sistema base, pero a la hora de cargar el escritorio plasma se cierra, y dice lo siguiente

    Details:
    Executable: kdeinit4 PID: 2797 Signa: 6 (aborted),

    y se me queda la pantalla totalmente negra, alguein me puede ayudar a solucioanr esto, muchisims gracias????

  13. 19 Bruno marzo 31, 2010 en 7:23 am

    Primero que nada, felicitaciones por el blog!
    Para los que estan teniendo problemas con el plasma workspace, yo lo solucione asi (por lo que veo han tenido el mismo problema)..

    sudo pacman -Syyu && sudo pacman -S qimageblitz && sudo pacman -Rd kdemod-networkmanagement-networkmanager-plasmoid

    y tambien si quieres capaz saca el networkmanager de por si, que para mi lo unico que hace es traer problemas, e instala wicd, mucho mejor!

    pacman -Rd networkmanager && pacman -S wicd

  14. 20 patazj febrero 27, 2011 en 4:53 pm

    hola, cuando hago sudo pacman -Syy me dice el siguiente error

    error: failed retrieving file ‘kdemod-core.db.tar.gz’
    Not found :S

    podrías ayudarme… o decirme que estoy haciendo mal, desde ya muchas gracias


  1. 1 Bitacoras.com Trackback en febrero 10, 2010 en 11:05 pm

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s




Fedora 14

Visitas al blog

  • 699,753 visitas

Bienvenido!!

Estimado lector, en primer lugar, gracias por seguir mi blog y ayudar a mejorarlo. En esta bitácora encontrarás noticias, tutoriales y muchas cosas más sobre GNU/Linux y el Software Libre, sobre todo de dos distribuciones, Fedora y Arch Linux. No dudes en preguntar tus dudas, comentar las entradas o proponerme ideas para el blog. Más información en Acerca de
Creative Commons License
Esta obra está bajo una licencia de Creative Commons.

Introduce tu correo para suscribirte a este blog y recibir las entradas en tu correo.

Únete a otros 72 seguidores

Comentarios recientes

Marcos en Post-Instalación de Arch …
Dasn en NTP en ArchLinux
Maria en Borrón y cuenta nueva
iyan gonzalez en Borrón y cuenta nueva
Spanish Red en Fedora o Archlinux

Guia de Usuario Fedora 14

Post-instalación de Arch Linux

Categorías

Fedora Blogger Network


A %d blogueros les gusta esto: